# HX711 ADC Arduino library

[![Make docs and publish to GitHub Pages](https://github.com/SolderedElectronics/Soldered-HX711-ADC-For-Weight-Scales-Arduino-Library/actions/workflows/make_docs.yml/badge.svg?branch=dev)](https://github.com/SolderedElectronics/Soldered-HX711-ADC-For-Weight-Scales-Arduino-Library/actions/workflows/make_docs.yml)
[![Arduino Library Manager Compatibility](https://github.com/SolderedElectronics/Soldered-HX711-ADC-For-Weight-Scales-Arduino-Library/actions/workflows/arduino_lint.yml/badge.svg?branch=dev)](https://github.com/SolderedElectronics/Soldered-HX711-ADC-For-Weight-Scales-Arduino-Library/actions/workflows/arduino_lint.yml)


| ![Load-cell ampfilier HX711 board](https://github.com/SolderedElectronics/Load-cell-ampfilier-HX711-board-hardware-design/blob/main/OUTPUTS/V1.1.1/333005.jpg) |
| :------------------------------------------------------------------------------------------------------------------------------------------------------------: |
|                                            [Load-cell ampfilier HX711 board](https://solde.red/333005)                                                     |

| ![Load-cell ampfilier HX711 board with easyC](https://upload.wikimedia.org/wikipedia/commons/8/8f/Example_image.svg) |
| :------------------------------------------------------------------------------------------------------------------: |
|                      [Load-cell ampfilier HX711 board with easyC](https://solde.red/333006)                      |

The HX711 breakout allows you to easily read the weight value from a load-cell sensor (mass sensor). This small ADC is of great precision and is capable of measuring very small changes in the load-cell resistance, whose signals are amplified with the built-in amplifier. Subsequently, this same information is digitally transmitted to a microcontroller that simply converts the numbers obtained into the actual weight. That's why this breakout is very useful for projects with scales or presence sensors, either for individuals or industry.

Breakout supports the connection of load cells that are made by the Wheatstone Bridge technique, like most of the load cells. They usually have four wires, two for power supply (E + and E, most often red and black), and two for signal (A + and A-, most commonly white and green wire). The pins for these wires are also indicated on the PCB and it is easy to connect.

- ADC precision: 24-bit
- Amplification: 128 for A channel, 64 for B channel
- Voltage: 2.7V - 5.5V
- Current: < 1.5mA
- Reading speed: 10SPS (samples per second) or 80SPS - adjustable
- Dimensions: 22 x 22 mm

### Repository Contents

- **/src** - source files for the library (.h & .cpp)
- **/examples** - examples for using the library
- **_other_** - _keywords_ file highlights function words in your IDE, _library.properties_ enables implementation with Arduino Library Manager.

### Hardware design

You can find hardware design for this board in [_Load-cell ampfilier HX711 board_](https://github.com/SolderedElectronics/Load-cell-ampfilier-HX711-board-hardware-design) hardware repository.

You can find hardware design for this board in [_Load-cell ampfilier HX711 board with easyC_](https://github.com/SolderedElectronics/Load-cell-ampfilier-HX711-board-with-easy-C-hardware-design) hardware repository.

### Documentation

Access Arduino library documentation [here](https://SolderedElectronics.github.io/Soldered-HX711-ADC-For-Weight-Scales-Arduino-Library/).

- Tutorial for using the HX711 board
- Installing an Arduino library

### Board compatibility

The library is compatible with board & microcontroller families shown in green below:

[![Compile Sketches](http://github-actions.40ants.com/e-radionicacom/Soldered-HX711-ADC-For-Weight-Scales-Arduino-Library/matrix.svg?branch=dev&only=Compile%20Sketches)](https://github.com/SolderedElectronics/Soldered-HX711-ADC-For-Weight-Scales-Arduino-Library/actions/workflows/compile_test.yml)

### About Soldered

<img src="https://raw.githubusercontent.com/e-radionicacom/Soldered-Generic-Arduino-Library/dev/extras/Soldered-logo-color.png" alt="soldered-logo" width="500"/>

At Soldered, we design and manufacture a wide selection of electronic products to help you turn your ideas into acts and bring you one step closer to your final project. Our products are intented for makers and crafted in-house by our experienced team in Osijek, Croatia. We believe that sharing is a crucial element for improvement and innovation, and we work hard to stay connected with all our makers regardless of their skill or experience level. Therefore, all our products are open-source. Finally, we always have your back. If you face any problem concerning either your shopping experience or your electronics project, our team will help you deal with it, offering efficient customer service and cost-free technical support anytime. Some of those might be useful for you:

- [Web Store](https://www.soldered.com/shop)
- [Tutorials & Projects](https://soldered.com/learn)
- [Community & Technical support](https://soldered.com/community)

### Open-source license

Soldered invests vast amounts of time into hardware & software for these products, which are all open-source. Please support future development by buying one of our products.

Check license details in the LICENSE file. Long story short, use these open-source files for any purpose you want to, as long as you apply the same open-source licence to it and disclose the original source. No warranty - all designs in this repository are distributed in the hope that they will be useful, but without any warranty. They are provided "AS IS", therefore without warranty of any kind, either expressed or implied. The entire quality and performance of what you do with the contents of this repository are your responsibility. In no event, Soldered (TAVU) will be liable for your damages, losses, including any general, special, incidental or consequential damage arising out of the use or inability to use the contents of this repository.

## Have fun!

And thank you from your fellow makers at Soldered Electronics.
